# Class FindReplaceEvent

java.lang.Object
java.util.EventObject
de.calcom.cclib.text.FindReplaceEvent

All Implemented Interfaces:
  `Serializable`

public class FindReplaceEvent extends EventObject
This is simply overriding EventObject by storing a FindReplaceDialog into the source field of the superclass.

Added i18n support for application SimplyHTML in version 1.5

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`FindReplaceEvent(FindReplaceDialog source)`

## Method Summary

### Methods inherited from class EventObject

`getSource, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FindReplaceEvent

public FindReplaceEvent(FindReplaceDialog source)